> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Report local usage



## OpenAPI

````yaml /api/openapi.json post /v1/licenses/usage
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/licenses/usage:
    post:
      tags:
        - Usage
      summary: Report local usage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ticket:
                  type: string
                  minLength: 1
                  maxLength: 100
                output:
                  type: string
                  enum:
                    - image
                    - video
                model:
                  type: string
                  minLength: 1
                  maxLength: 80
                  pattern: ^[A-Za-z0-9][A-Za-z0-9 ._:/@+-]*$
                client:
                  type: string
                  minLength: 1
                  maxLength: 40
                  pattern: ^[A-Za-z0-9][A-Za-z0-9 ._:/@+-]*$
              required:
                - ticket
                - output
                - model
                - client
      responses:
        '202':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  accepted:
                    type: boolean
                    enum:
                      - true
                required:
                  - accepted
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - invalid_ticket
                      - output_not_allowed
                      - limit_reached
                  message:
                    type: string
                required:
                  - status
                  - message
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - invalid_ticket
                      - output_not_allowed
                      - limit_reached
                  message:
                    type: string
                required:
                  - status
                  - message
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - invalid_ticket
                          - output_not_allowed
                          - limit_reached
                      message:
                        type: string
                    required:
                      - status
                      - message
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            enum:
                              - rate_limited
                          message:
                            type: string
                          request_id:
                            type: string
                          requestId:
                            type: string
                        required:
                          - code
                          - message
                          - request_id
                          - requestId
                        additionalProperties: false
                    required:
                      - error
                    additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.